Subject: [Adslmib] Confused about ADSL2 and ADSL2+ Work

From: Clay Sikes <[email-masked]>
Date: Wed, 04 Jun 2003 11:39:43 -0400

Hi,

I'm confused about what is being done to add MIB support for ADSL2 and
ADSL2+. I'm going to summarize some threads that I have seen or been a
part of with hope that someone will be able to figure out why I'm
confused and provide me with clear direction regarding MIB support for
ADSL2 and ADSL2+.

1.  Tuesday, 01 March 2003, I inquired about plans to update the
AdslTransmissionType TC to support bits defined in the ITU 's G.997.1.
Greg Bathrick responded that same day agreeing that the
AdslTransmissionType needed to be extended along with other things.
Also, he felt that the 997.1 needed to become finalized before work
could begin.

2. Wednesday, 30 April 2003, I learned from a Paradyne representative at
the ITU Q4 meeting, which took place two weeks prior, the G.997.1
underwent a minor revision and was approved.

3. Thursday, 08 May 2003, I emailed the adslmib group inquiring about
the status of the ADSL-LINE-MIB and ADSL-LINE-EXT-MIB with respect to
ADSL2 and ADSL2+ support. Rajesh Abbi <[email-masked]>
responded and indicated that the DSL Forum has just beginning work on
capturing the requirements as well as a protocol independent object
model for managing the next generation ADSL technologies.

4. Thursday, 08 May 2003, I responded to Rajesh and inquired as to when
something would be available and whether or not the AdslTransmissionType
TC in the ADSL-LINE-EXT-MIB should be extended to support ADSL2 and
ADSL2+ in the short term. I never got a response.

5.  On Wednesday, 21 May 2003, Morti Morgenstern, asked if the working
group could start discussing an ADSL2 MIB.

6. On Wednesday, 21 May 2003, Michael Sneed, responded to Morti and
indicated that ADSL2 is not currently in the charter of the group.

Can anyone please tell me who is working on a MIB to support ADSL2 and
ADSL2+?

If someone is working this issue, is there some estimate as to when the
MIB would be available?

If this working group is not going to support MIBs for ADSL2 and ADSL2+,
what will happen to the adslLineTransAtucCap, adslLineTransAtucConfig,
and adslLineTransAutcActual MIB objects in the ADSL-LINE-EXT_MIB?

Will they be deprecated?

As you can see, I'm really confused. Any help will be greatly
appreciated.

Thanks!!
Clay Sikes
Paradyne Corp.

_______________________________________________
Adslmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/adslmib

---

From: "Michael Sneed" <[email-masked]>
Date: Wed, 04 Jun 2003 14:03:12 -0400

Yes, it is a product of this working group.

Thanks for the offer, and I will.  That will certainly help.

Regards,

Mike

>From: Clay Sikes <[email-masked]>
>To: Michael Sneed <[email-masked]>
>CC: [email-masked], [email-masked]
>Subject: Re: [Adslmib] Confused about ADSL2 and ADSL2+ Work
>Date: Wed, 04 Jun 2003 13:08:20 -0400
>
>Michael,
>
>Thanks for your prompt reply.
>
>One last question, is this group responsible for the ADSL-LINE-EXT-MIB, or 
>was
>that done somewhere else and if so where?
>
>Please keep me in mind as a potential volunteer for future work. I would
>welcome an opportunity to pitch in and help.
>
>Thanks,
>Clay
>
>
>Michael Sneed wrote:
>
> > Hi Clay,
> >
> > I can only address your question partially. The IETF is not currently
> > working on ADSL2 or ADSL2+ MIBs (or modification/expansion of existing 
>MIBs
> > to support ADSL2/ADSL2+), and the adslmib WG is not currently chartered 
>to
> > do such work. It is certainly possible to undertake an expansion of the 
>WG
> > charter; this would require the approval of the ADs and the IESG, which
> > presupposes the  following:
> >
> > 1) consensus that such MIBs are useful
> > 2) consensus that the WG can complete the task in a timely manner
> > 3) sufficient volunteers to assure the work will get done
> >
> > I think 1) is likely not a problem.
> >
> > 2) is more of an issue, because adslmib has tried to work with 
>significant
> > input from the DSL Forum.  If the DSL Forum has not yet begun work on 
>the
> > management of ADSL2, then it may be premature to undertake such work in 
>the
> > IETF.
> >
> > 3) remains to be seen.  While there has been significant interest in an
> > ADSL2 MIB, so far no one has volunteered to work on it.  This might be a
> > consequence of the previous issue.
> >
> > The speed with which such a MIB can be developed is largely dependent on 
>the
> > amount of effort the volunteers are able to devote to the work, and on 
>how
> > quickly a consensus can be reached.  Again, consensus is unlikely if the 
>DSL
> > Forum has not yet addressed the issue, in my opinion.
> >
> > This said, if there is a sudden outpouring of support for this work,
> > convincing arguments that the goals are achievable, and a flood of
> > volunteers,  we can certainly attempt to get the charter expanded in the
> > near future.
> >
> > The issue of expansion of the extension MIB transmission mode objects is
> > problematic in lieu of a charter expansion, I would think.
> >
> > Hope this helps.
> >
> > Regards,
> >
> > Mike
> >
> > >From: Clay Sikes <[email-masked]>
> > >To: Michael Sneed <[email-masked]>, ADSL MIB <[email-masked]>
> > >CC: Kent Davidson <[email-masked]>
> > >Subject: [Adslmib] Confused about ADSL2 and ADSL2+ Work
> > >Date: Wed, 04 Jun 2003 11:39:43 -0400
> > >
> > >Hi,
> > >
> > _________________________________________________________________
> > MSN 8 with e-mail virus protection service: 2 months FREE*
> > http://join.msn.com/?page=features/virus

_________________________________________________________________
Help STOP SPAM with the new MSN 8 and get 2 months FREE*  
http://join.msn.com/?page=features/junkmail